#include "cassinitoolsgui.h"
#include "ui_cassinitoolsgui.h"
#include <cassinitools.h>

CassiniToolsGUI::CassiniToolsGUI(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::CassiniToolsGUI)
{
    ui->setupUi(this);
    connect(this->ui->addFolderViewQpb,SIGNAL(clicked()),this,SLOT(addFolderView()));
}

CassiniToolsGUI::~CassiniToolsGUI()
{
    delete ui;
}

void CassiniToolsGUI::addFolderView()
{
  this->folderViews.append(new FolderView());
  this->ui->folderViews->addDockWidget(Qt::TopDockWidgetArea,this->folderViews.last());
  this->folderViews.last()->setWindowTitle( QString("Folder View %1").arg(this->folderViews.length()));
  this->folderViews.last()->setAllowedAreas(Qt::AllDockWidgetAreas);
  connect(this->folderViews.last(),SIGNAL(itemActivated(QString)),this,SLOT(plotFile(QString)));
}

void CassiniToolsGUI::plotFile(const QString &File)
{
  CassiniTools::plotFile(File);
}

void CassiniToolsGUI::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
